array_intersect_ukey
array_key_exists
Array Functions
PHP Manual

# array_intersect

(PHP 4 >= 4.0.1, PHP 5, PHP 7)

array_intersect — Computes the intersection of arrays

### Description

array array_intersect ( array `$array1` , array `$array2` [, array `$...` ] )

array_intersect() returns an array containing all the values of `array1` that are present in all the arguments. Note that keys are preserved.

### Parameters

`array1`

  The array with master values to check.

`array2`

  An array to compare values against.

`...`

  A variable list of arrays to compare.

### Return Values

Returns an array containing all of the values in `array1` whose values exist in all of the parameters.

### Examples

Example #1 array_intersect() example

`<?php
$array1 = array("a" => "green", "red", "blue");
$array2 = array("b" => "green", "yellow", "red");
$result = array_intersect($array1, $array2);
print_r($result);
?>`

The above example will output:

    Array
    (
        [a] => green
        [0] => red
    )

### Notes

> Note: Two elements are considered equal if and only if (string) $elem1 === (string) $elem2. In words: when the string representation is the same.

### See Also

- array_intersect_assoc() - Computes the intersection of arrays with additional index check
- array_diff() - Computes the difference of arrays
- array_diff_assoc() - Computes the difference of arrays with additional index check

array_intersect_ukey
array_key_exists
Array Functions
PHP Manual